%define	name	rdiff-backup
%define	version	1.2.8
%define	release	%mkrel 1


Summary:	Backup software
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Networking/Other
URL:		http://www.nongnu.org/rdiff-backup/
Source0:	%{name}-%{version}.tar.xz
Patch0:		rdiff-backup-1.2.0-dont-install-docs.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python >= 2.6.6
Requires:	librsync1
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	popt-devel
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-rpm

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically
(nightly from cron for instance). The target directory ends up
a copy of the source directory, but extra reverse diffs are
stored in the target directory, so you can still recover files
lost some time ago. The idea is to combine the best features of
a mirror and an incremental backup. rdiff-backup can also operate
in a bandwidth efficient manner over a pipe, like rsync. Thus you
can use rdiff-backup and ssh to securely back a hard drive up to
a remote location, and only the differences from the previous
backup will be transmitted.

%prep
%setup -q
%patch0 -p1 -b .dont-install-docs

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python \
	setup.py install \
	--optimize=2 \
	--root=%{buildroot}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README FAQ.html examples.html
%attr(755,root,root) %{_bindir}/rdiff-backup
%attr(755,root,root) %{_bindir}/rdiff-backup-statistics
%dir %{py_platsitedir}/rdiff_backup
%{py_platsitedir}/rdiff_backup/*.py
%attr(755,root,root) %{py_platsitedir}/rdiff_backup/*.so
%{_mandir}/man1/rdiff-backup*
%{py_platsitedir}/rdiff_backup-1.2.8-py2.6.egg-info


%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.2.8-1pclos2010
- 1.2.8

